import request from '../../../axios'

export const addDept = (data) => {
    return request.post({url: '/api/sys/dept/create', data})
}

export const getDeptTree = (params) => {
    return request.get({url: '/api/sys/dept/getDeptTree', params})
}

export const queryDept = (params) => {
    return request.get({url: '/api/sys/dept/findById', params})
}

export const updateDept = (data) => {
    return request.post({url: '/api/sys/dept/update', data})
}

export const delDeptTree = (params) => {
    return request.get({url: '/api/sys/dept/deleteById', params})
}
